Loading...
Searching...
No Matches
Opm::FluidStateNullDensityModule< Scalar, numPhases, Implementation > Class Template Reference

Module for the modular fluid state which does not the densities but throws std::logic_error instead. More...

`#include <FluidStateDensityModules.hpp>`

## Public Member Functions

const Scalar & | density (unsigned) const
| The density of a fluid phase [kg/m^3].
const Scalar & | molarDensity (unsigned) const
| The molar density of a fluid phase [mol/m^3].
const Scalar & | molarVolume (unsigned) const
| The molar volume of a fluid phase [m^3/mol].
template<class FluidState>
void | assign (const FluidState &)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.

## Detailed Description

template<class Scalar, unsigned numPhases, class Implementation>
class Opm::FluidStateNullDensityModule< Scalar, numPhases, Implementation >

Module for the modular fluid state which does not the densities but throws std::logic_error instead.

## Member Function Documentation

## checkDefined()

template<class Scalar, unsigned numPhases, class Implementation>

void Opm::FluidStateNullDensityModule< Scalar, numPhases, Implementation >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateDensityModules.hpp